
pages:
 image: node:latest
 stage: deploy
 script:
  - npm install --progress=false
  - npm run build-gitlab
  # GitLab requires all the static page files to be in ./public
  # Because Quasar uses /public for files, they will be deleted after
  # "compilation" and the compiled files will be moved to public.
  - rm -rf public
  - mkdir public
  - cp -r dist/* public
  # Gzip all files in public. see: https://docs.gitlab.com/ee/user/project/pages/introduction.html#serving-compressed-assets
  - find public -type f -regex '.*\.\(htm\|html\|txt\|text\|js\|css\)$' -exec gzip -f -k {} \;
 artifacts:
  expire_in: 1 day
  paths:
  - public
 only:
  - main
